Bug 545534 - SELinux is preventing /usr/bin/python "read" access on /proc/<pid>/cmdline.
Summary: SELinux is preventing /usr/bin/python "read" access on /proc/<pid>/cmdline.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:dca9026b054...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-08 20:00 UTC by hpinta15
Modified: 2009-12-23 21:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:08 UTC
Type: ---


Attachments (Terms of Use)

Description hpinta15 2009-12-08 20:00:30 UTC
Summary:

SELinux is preventing /usr/bin/python "read" access on /proc//cmdline.

Detailed Description:

[SetroubleshootF has a permissive type (setroubleshoot_fixit_t). This access was
not denied.]

SELinux denied access requested by SetroubleshootF. It is not expected that this
access is required by SetroubleshootF and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.
                              c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                /proc/<pid>/cmdline [ file ]
Source                        SetroubleshootF
Source Path                   /usr/bin/python
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.6.2-2.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-49.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.i686.PAE #1
                              SMP Fri Dec 4 00:43:59 EST 2009 i686 i686
Alert Count                   1
First Seen                    Tue 08 Dec 2009 01:57:46 PM CST
Last Seen                     Tue 08 Dec 2009 01:57:46 PM CST
Local ID                      b398a7a5-6397-4f61-a4b9-dc33b556ad8a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260302266.226:372): avc:  denied  { read } for  pid=3659 comm="SetroubleshootF" path="/proc/3191/cmdline" dev=proc ino=64441 scontext=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=file

node=(removed) type=SYSCALL msg=audit(1260302266.226:372): arch=40000003 syscall=11 success=yes exit=0 a0=8f51c90 a1=8f515e0 a2=8f51008 a3=8f541e8 items=0 ppid=3658 pid=3659 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="SetroubleshootF" exe="/usr/bin/python" subj=system_u:system_r:setroubleshoot_fixit_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-49.fc12,catchall,SetroubleshootF,setroubleshoot_fixit_t,unconfined_t,file,read
audit2allow suggests:

#============= setroubleshoot_fixit_t ==============
allow setroubleshoot_fixit_t unconfined_t:file read;

Comment 1 Daniel Walsh 2009-12-09 14:06:33 UTC

You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-57.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:52:42 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:40:59 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384

Comment 4 Fedora Update System 2009-12-23 21:30:37 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.